/***************************************************************************
                          outputc.cpp  -  description
                             -------------------
    begin                : Tue Sep 12 2000
    copyright            : (C) 2000 by Philipp Ghring
    email                : p.guehring@poboxes.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <khtml_part.h>
#include "outputc.h"

/** The htmlw paramter is an optional HTML Widget. If it is given, Output renders to the widget, otherwise to stdout. */
OutputC::OutputC(KHTMLPart *htmlw)
{
  string=NULL;
  html=htmlw;
}
OutputC::~OutputC(){
}

/** This is is printf like function for HTML Widgets or the stdout */
void OutputC::write(const char *text)
{
  if(this==NULL) { printf("Output not initialized!\n"); exit(0);};
  if(html!=NULL)
    html->write(text);
  else if (string!=NULL)
    *string += text;
  else
    printf("%s",text);
}

/** Initialisiert die Output Klasse mit einem String, es wird alles an den String drangehngt. */
OutputC::OutputC(QString &newstring)
{
  html=NULL;
  string=&newstring;
}
